Ana içeriğe atla

Bu tarayıcı artık desteklenmiyor.

En son özelliklerden, güvenlik güncelleştirmelerinden ve teknik destekten faydalanmak için Microsoft Edge’e yükseltin.

Microsoft Edge'i indirin Internet Explorer ve Microsoft Edge hakkında daha fazla bilgi
microsoft-foundry.rest.security.o-auth2-auth

Schedules

Get a schedule

GET /schedules/{id}

Retrieves the specified schedule resource.

Sorgu parametreleri

api-version string gerekli

The API version to use for this operation.

Yol parametreleri

id string gerekli

Identifier of the schedule.

Üst bilgi parametreleri

Foundry-Features enum gerekli

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Schedules=V1Preview

Yanıtlar

The request has succeeded.

Gövde

Content-Type: application/json
id string gerekli

Identifier of the schedule.

displayName string

Name of the schedule.

description string

Description of the schedule.

enabled boolean gerekli

Enabled status of the schedule.

provisioningStatus string | enum

Schedule provisioning status.

Aşağıdakilerden biri:
string
enum
CreatingUpdatingDeletingSucceededFailed
trigger Cron | Recurrence | OneTime gerekli

Base model for Trigger of the schedule.

Aşağıdakilerden biri:
Cron CronTrigger

Cron based trigger.

type enum gerekli
Cron
expression string gerekli

Cron expression that defines the schedule frequency.

timeZone string

Time zone for the cron schedule. Defaults to UTC.

startTime string

Start time for the cron schedule in ISO 8601 format.

endTime string

End time for the cron schedule in ISO 8601 format.

Recurrence RecurrenceTrigger

Recurrence based trigger.

type enum gerekli

Type of the trigger.

Recurrence
startTime string

Start time for the recurrence schedule in ISO 8601 format.

endTime string

End time for the recurrence schedule in ISO 8601 format.

timeZone string

Time zone for the recurrence schedule. Defaults to UTC.

interval integer gerekli

Interval for the recurrence schedule.

schedule Hourly | Daily | Weekly | Monthly gerekli

Recurrence schedule model.

Aşağıdakilerden biri:
Hourly HourlyRecurrenceSchedule

Hourly recurrence schedule.

type enum gerekli
Hourly
Daily DailyRecurrenceSchedule

Daily recurrence schedule.

type enum gerekli

Daily recurrence type.

Daily
hours integer[] gerekli

Hours for the recurrence schedule.

Weekly WeeklyRecurrenceSchedule

Weekly recurrence schedule.

type enum gerekli

Weekly recurrence type.

Weekly
daysOfWeek DayOfWeek[] gerekli

Days of the week for the recurrence schedule.

Monthly MonthlyRecurrenceSchedule

Monthly recurrence schedule.

type enum gerekli

Monthly recurrence type.

Monthly
daysOfMonth integer[] gerekli

Days of the month for the recurrence schedule.

OneTime OneTimeTrigger

One-time trigger.

type enum gerekli
OneTime
triggerAt string gerekli

Date and time for the one-time trigger in ISO 8601 format.

timeZone string

Time zone for the one-time trigger. Defaults to UTC.

task Evaluation | Insight gerekli

Schedule task model.

Aşağıdakilerden biri:
Evaluation EvaluationScheduleTask

Evaluation task for the schedule.

type enum gerekli
Evaluation
evalId string gerekli

Identifier of the evaluation group.

evalRun object gerekli

The evaluation run payload.

Insight InsightScheduleTask

Insight task for the schedule.

type enum gerekli
Insight
insight Insight gerekli

The response body for cluster insights.

id string gerekli

The unique identifier for the insights report.

metadata InsightsMetadata gerekli

Metadata about the insights.

createdAt string gerekli

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string gerekli

Enum describing allowed operation states.

Aşağıdakilerden biri:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string gerekli

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison gerekli

The request of the insights report.

Aşağıdakilerden biri:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum gerekli

The type of insights request.

EvaluationRunClusterInsight
evalId string gerekli

Evaluation Id for the insights.

runIds string[] gerekli

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string gerekli

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum gerekli

The type of request.

AgentClusterInsight
agentName string gerekli

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string gerekli

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum gerekli

The type of request.

EvaluationComparison
evalId string gerekli

Identifier for the evaluation.

baselineRunId string gerekli

The baseline run ID for comparison.

treatmentRunIds string[] gerekli

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

Aşağıdakilerden biri:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum gerekli

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] gerekli

Comparison results for each treatment run against the baseline.

method string gerekli

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum gerekli

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult gerekli

Insights from the cluster analysis.

summary InsightSummary gerekli

Summary of the error cluster analysis.

sampleCount integer gerekli

Total number of samples analyzed.

uniqueSubclusterCount integer gerekli

Total number of unique subcluster labels.

uniqueClusterCount integer gerekli

Total number of unique clusters.

method string gerekli

Method used for clustering.

usage ClusterTokenUsage gerekli

Token usage for cluster analysis

inputTokenUsage integer gerekli

input token usage

outputTokenUsage integer gerekli

output token usage

totalTokenUsage integer gerekli

total token usage

clusters InsightCluster[] gerekli

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer gerekli

X-axis coordinate.

y integer gerekli

Y-axis coordinate.

size integer gerekli

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum gerekli

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult gerekli

Insights from the cluster analysis.

summary InsightSummary gerekli

Summary of the error cluster analysis.

sampleCount integer gerekli

Total number of samples analyzed.

uniqueSubclusterCount integer gerekli

Total number of unique subcluster labels.

uniqueClusterCount integer gerekli

Total number of unique clusters.

method string gerekli

Method used for clustering.

usage ClusterTokenUsage gerekli

Token usage for cluster analysis

inputTokenUsage integer gerekli

input token usage

outputTokenUsage integer gerekli

output token usage

totalTokenUsage integer gerekli

total token usage

clusters InsightCluster[] gerekli

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer gerekli

X-axis coordinate.

y integer gerekli

Y-axis coordinate.

size integer gerekli

Size of the chart element.

tags object

Schedule's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
systemData object gerekli

System metadata for the resource.

[key: string] string

Client error

Üst Bilgiler

x-ms-error-code string

String error code indicating what went wrong.

Gövde

Content-Type: application/json
error Azure.Core.Foundations.Error gerekli

The error object.

code string gerekli

One of a server-defined set of error codes.

message string gerekli

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Üst Bilgiler

x-ms-error-code string

String error code indicating what went wrong.

Gövde

Content-Type: application/json
error Azure.Core.Foundations.Error gerekli

The error object.

code string gerekli

One of a server-defined set of error codes.

message string gerekli

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

İstek

GET /schedules/{id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
tr-tr
Gizlilik Tercihleriniz
  • AI Bildirim
  • Önceki Sürümler
  • Blog
  • Katkıda Bulunun
  • Gizlilik
  • Tüketici Sağlığı Gizliliği
  • Kullanım Koşulları
  • Ticari Markalar
  • © Microsoft 2026